OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000097OMNeT++IDE / C++ developmentpublic2009-08-26 22:452010-12-10 16:14
Reporterandras 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version4.0 
Target VersionFixed in Version4.1rc1 
Summary0000097: gcc toolchain should #define _WIN32 when on Windows, like mingw-gcc does
DescriptionCurrently the gcc toolchain does not define _WIN32 like mingw-gcc does, so parsing goes on the wrong #ifdef branches.

On windows, the gcc toolchain should define all these symbols:
_WIN32, WIN32, and __WIN32__

This only affects C++ editing features: Syntax Highlighting, Content Assist, etc, and may cause false "cannot find include file" warnings to be displayed in the editor. It does NOT affect the build process.
Steps To Reproduce1. create a new OMNeT++ C++ project on Windows, using the gcc toolchain (MinGW)
2. in any .cc or .h file, enter the following:
    #ifdef _WIN32
    some-win32-stuff
    #endif
3. the line "some-win32-stuff" will appear as grayed out (inactive)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000294)
andras (administrator)
2010-05-10 10:45

Cannot reproduce. Probably fixed in CDT.
(0000349)
rhornig (administrator)
2010-12-10 16:14

This issue affects only the files that are not in a C++ project. I.e. header files from omnetpp do not see the defines correctly as the presence of macros depend on where these files are included from.

- Issue History
Date Modified Username Field Change
2009-08-26 22:45 andras New Issue
2009-08-29 19:06 andras Description Updated
2009-10-09 15:35 rhornig Status new => confirmed
2010-05-10 10:45 andras Note Added: 0000294
2010-05-10 10:45 andras Status confirmed => resolved
2010-05-10 10:45 andras Fixed in Version => 4.1rc1
2010-05-10 10:45 andras Resolution open => fixed
2010-05-10 10:45 andras Assigned To => andras
2010-12-10 16:14 rhornig Note Added: 0000349


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker